Subject: Re: [PATCH 2/7] d80211: add support for SIOCSIWRATE and SIOCGIWRATE

From: mabbas <[email-masked]>
Date: Thu, 21 Sep 2006 09:59:39 -0700

Jiri Benc wrote:
> On Wed, 30 Aug 2006 10:19:19 -0700, Jouni Malinen wrote:
>   
>> On Mon, Aug 28, 2006 at 01:45:34PM -0700, mabbas wrote:
>>
>>     
>>> This patch modify d80211 to add SIOCSIWRATE and SIOCGIWRATE
>>> commands. this patch almost does the same thing as in 
>>> PRISM2_HOSTAPD_SET_RATE_SETS.
>>>       
>> I don't think I would like to get this applied since this seems to be
>> changing the design on how the per-STA TX rate limiting is done in a
>> way that does not match the original design and no justification has
>> been given for that change so far. Some comments below.
>>     
>
> I agree with Jouni. We definitely want similar feature but it needs to be
> carefully designed (and no, we are not limited by the limitations of WE).
> I'm not going to apply the patch.
>
>  Jiri
>
>   
I can not see how does it break per-STA TX rate limit, especially 
PRISM2_HOSTAPD_SET_RATE_SETS almost doing the same thing. I am not saying
the patch is correct I just want to know how to fix it to get it in.
Mohamed